Last Comment Bug 561663 - Help is broken: undefined entity &printCmd.commandkey;
: Help is broken: undefined entity &printCmd.commandkey;
Status: RESOLVED FIXED
[fixed by bug 516758]
: regression
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1a1
Assigned To: Justin Wood (:Callek)
:
Mentors:
Depends on:
Blocks: 516758
  Show dependency treegraph
 
Reported: 2010-04-25 14:02 PDT by Jens Hatlak (:InvisibleSmiley)
Modified: 2010-04-28 02:12 PDT (History)
5 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
a1+


Attachments

Description Jens Hatlak (:InvisibleSmiley) 2010-04-25 14:02:08 PDT
With a current trunk nightly, F1 greets me with:

XML Parsing Error: undefined entity
Location: chrome://help/content/help.xul
Line Number 64, Column 5:
    <key id="printKb" key="&printCmd.commandkey;" oncommand="print();"
----^

This is on WinXP and SM started in Safe Mode but I guess that doesn't matter much.

help.xul is actually mozilla/toolkit/components/help/content/help.xul.

Setting regressionwindow-wanted.
Comment 1 Robert Kaiser (not working on stability any more) 2010-04-25 14:17:49 PDT
stefanh just noted this on IRC, he said that the .dtd is missing from the .jar file - I suspect some toolkit change causes us to have a jar.mn packaging issue.
Comment 2 Stefan [:stefanh] 2010-04-26 13:16:30 PDT
This works in the 2010-03-31-00 build and does not work in the 2010-04-01-00 build. Strongest candidate is bug 516758.
Comment 3 Jens Hatlak (:InvisibleSmiley) 2010-04-26 14:02:07 PDT
(In reply to comment #2)
> This works in the 2010-03-31-00 build and does not work in the 2010-04-01-00
> build. Strongest candidate is bug 516758.

Agreed, left a comment there.
Comment 4 Ian Neal 2010-04-26 15:56:03 PDT
Adding the following back in locally seems to fix the issue for me:

@@ -6552,16 +6552,31 @@ else
     if test "x$ac_cv_sqlite_enable_fts3" = "xno"; then
         AC_MSG_ERROR([System SQLite library is not compiled with SQLITE_ENABLE
_FTS3.])
     fi
 fi
 
 AC_SUBST(MOZ_NATIVE_SQLITE)
 
 dnl ========================================================
+dnl = Enable help viewer (off by default)
+dnl ========================================================
+MOZ_ARG_ENABLE_BOOL(help-viewer,
+[  --enable-help-viewer        Enable help viewer],
+    MOZ_HELP_VIEWER=1,
+    MOZ_HELP_VIEWER= )
+if test -n "$MOZ_HELP_VIEWER"; then
+     AC_DEFINE(MOZ_HELP_VIEWER)
+fi
+AC_SUBST(MOZ_HELP_VIEWER)
+if test "$MOZ_BUILD_APP" = "browser" -a -n "$MOZ_HELP_VIEWER"; then
+    AC_MSG_ERROR([Cannot build Firefox with --enable-help-viewer.])
+fi
+
+dnl ========================================================
 dnl = Enable safe browsing (anti-phishing)
 dnl ========================================================
 MOZ_ARG_ENABLE_BOOL(safe-browsing,
 [  --enable-safe-browsing        Enable safe browsing (anti-phishing) implemen
tation],
     MOZ_SAFE_BROWSING=1,
     MOZ_SAFE_BROWSING= )
 if test -n "$MOZ_SAFE_BROWSING"; then
     AC_DEFINE(MOZ_SAFE_BROWSING)
Comment 5 Justin Wood (:Callek) 2010-04-27 23:06:57 PDT
Fixed by http://hg.mozilla.org/mozilla-central/rev/cedd9976e7e0

Note You need to log in before you can comment on or make changes to this bug.